Package picard.util

# Class TabbedTextFileWithHeaderParser.Row

java.lang.Object
picard.util.TabbedTextFileWithHeaderParser.Row

Enclosing class:
  TabbedTextFileWithHeaderParser

public class TabbedTextFileWithHeaderParser.Row extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`getCurrentLine()`
`String`
`getField(String columnLabel)`
`String[]`
`getFields()`
`Integer`
`getIntegerField(String columnLabel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getFields

public String[] getFields()

Returns:
  Array of fields in the order they appear in the file.

### getField

public String getField(String columnLabel)

### getIntegerField

public Integer getIntegerField(String columnLabel)

### getCurrentLine

public String getCurrentLine()